# RackMonkey sample configuration for OpenBSD httpd.

PerlModule Apache::PerlRun HTML::Template HTML::Parser
PerlModule CGI DBI DBD::SQLite Time::Local

<Location /rackmonkey>
    PerlHandler Apache::PerlRun
    Allow from all
    PerlSendHeader On

    Options ExecCGI FollowSymLinks Includes
    AddHandler perl-script .pl

    AddType text/html .shtml 
    AddHandler server-parsed .shtml
	
    RedirectMatch ^/rackmonkey/$ /rackmonkey/rackmonkey.pl

    DirectoryIndex index.html

    # Change the following line to load configuration file from another location
    SetEnv RACKMONKEY_CONF /conf/rackmonkey.conf
</Location>
